#include<bits/stdc++.h>
using namespace std;
ifstream f1("Taoxau.inp");
ofstream f2("Taoxau.out");
char a[2000];
int n;
bool kt(int s)
{
	for(int k=1;k<=s;k++){
		if(a[k]==a[k+1] && a[k]=='B'){
			return false;
			break;
		}
	}
}
void nhap()
{
	f1>>n;
}
void xuat(int n)
{
	if(kt(n)==true){
	for(int i=1;i<=n;i++)
	f2<<a[i];
	f2<<endl;
}
}
void xaunp(int i)
{
	int j;
	for(j=65;j<=66;j++)
	{
		a[i]=char(j);
		if(i==n)	xuat(i);
		else xaunp(i+1);
	}
}
void xuli()
{
	xaunp(1);
	
}
int main()
{
	nhap();
	xuli();
}
